## thunar-enum-types thunar-enum-types |

## Functions

gboolean | transform_enum_value_to_index ()
gboolean | transform_index_to_enum_value ()
const gchar * | thunar_column_string_from_value ()
gboolean | thunar_column_value_from_string ()
const char * | thunar_thumbnail_size_get_nick ()
ThunarThumbnailSize | thunar_zoom_level_to_thumbnail_size ()
const gchar * | thunar_zoom_level_string_from_value ()
gboolean | thunar_zoom_level_value_from_string ()
guint | thunar_status_bar_info_toggle_bit ()
gboolean | thunar_status_bar_info_check_active ()

## Types and Values

enum | ThunarRenamerMode
enum | ThunarDateStyle
enum | ThunarColumn
enum | ThunarIconSize
enum | ThunarThumbnailMode
enum | ThunarThumbnailSize
enum | ThunarParallelCopyMode
enum | ThunarRecursivePermissionsMode
enum | ThunarRecursiveSearchMode
enum | ThunarZoomLevel
enum | ThunarJobResponse
#define | THUNAR_JOB_RESPONSE_MAX_INT
enum | ThunarFileMode
#define | THUNAR_TYPE_USE_PARTIAL_MODE
enum | ThunarUsePartialMode
enum | ThunarVerifyFileMode
enum | ThunarNewTabBehavior
enum | ThunarStatusBarInfo
enum | ThunarOperationLogMode
enum | ThunarImagePreviewMode
enum | ThunarFolderItemCount

## Object Hierarchy

        GEnum
        ├── ThunarColumn
        ├── ThunarDateStyle
        ├── ThunarFolderItemCount
        ├── ThunarIconSize
        ├── ThunarImagePreviewMode
        ├── ThunarJobOperationKind
        ├── ThunarOperationLogMode
        ├── ThunarParallelCopyMode
        ├── ThunarRenamerMode
        ├── ThunarThumbnailMode
        ├── ThunarThumbnailSize
        ├── ThunarUsePartialMode
        ├── ThunarVerifyFileMode
        ╰── ThunarZoomLevel
        GFlags
        ├── ThunarFileMode
        ╰── ThunarJobResponse

## Description

## Functions

### transform_enum_value_to_index ()

    gboolean
    transform_enum_value_to_index (GBinding *binding,
                                   const GValue *src_value,
                                   GValue *dst_value,
                                   gpointer user_data);

### transform_index_to_enum_value ()

    gboolean
    transform_index_to_enum_value (GBinding *binding,
                                   const GValue *src_value,
                                   GValue *dst_value,
                                   gpointer user_data);

### thunar_column_string_from_value ()

    const gchar *
    thunar_column_string_from_value (ThunarColumn value);

### thunar_column_value_from_string ()

    gboolean
    thunar_column_value_from_string (const gchar *value_string,
                                     ThunarColumn *value);

### thunar_thumbnail_size_get_nick ()

    const char *
    thunar_thumbnail_size_get_nick (ThunarThumbnailSize thumbnail_size);

### thunar_zoom_level_to_thumbnail_size ()

    ThunarThumbnailSize
    thunar_zoom_level_to_thumbnail_size (ThunarZoomLevel zoom_level);

### thunar_zoom_level_string_from_value ()

    const gchar *
    thunar_zoom_level_string_from_value (ThunarZoomLevel zoom_level);

### thunar_zoom_level_value_from_string ()

    gboolean
    thunar_zoom_level_value_from_string (const gchar *value_string,
                                         gint *value);

### thunar_status_bar_info_toggle_bit ()

    guint
    thunar_status_bar_info_toggle_bit (guint info,
                                       ThunarStatusBarInfo mask);

Flips the bits of `info` when there is a matching info bit in `mask` . Used to enable/disable information in the statusbar.

#### Parameters

info | a guint. |
mask | a ThunarStatusBarInfo (can be a combination using |) |

#### Returns

`info` XOR `mask` .

### thunar_status_bar_info_check_active ()

    gboolean
    thunar_status_bar_info_check_active (guint info,
                                         ThunarStatusBarInfo mask);

#### Parameters

info | a guint. |
mask | a ThunarStatusBarInfo (can be a combination using |) |

#### Returns

TRUE if the fields specified in `mask` are active, otherwise FALSE.

## Types and Values

### enum ThunarRenamerMode

The rename mode for a ThunarRenamerModel instance.

#### Members

THUNAR_RENAMER_MODE_NAME | only the name should be renamed. |
THUNAR_RENAMER_MODE_EXTENSION | only the extension should be renamed. |
THUNAR_RENAMER_MODE_BOTH | the name and the extension should be renamed. |

### enum ThunarDateStyle

The style used to display dates (e.g. modification dates) to the user.

#### Members

THUNAR_DATE_STYLE_SIMPLE | display only the date. |
THUNAR_DATE_STYLE_SHORT | display date and time in a short manner. |
THUNAR_DATE_STYLE_LONG | display date and time in a long manner. |
THUNAR_DATE_STYLE_YYYYMMDD |  |
THUNAR_DATE_STYLE_MMDDYYYY |  |
THUNAR_DATE_STYLE_DDMMYYYY |  |
THUNAR_DATE_STYLE_CUSTOM |  |
THUNAR_DATE_STYLE_CUSTOM_SIMPLE |  |

### enum ThunarColumn

Columns exported by ThunarListModel using the GtkTreeModel interface.

#### Members

THUNAR_COLUMN_DATE_CREATED | created time. |
THUNAR_COLUMN_DATE_ACCESSED | last access time. |
THUNAR_COLUMN_DATE_MODIFIED | last modification time. |
THUNAR_COLUMN_DATE_DELETED | deletion time. |
THUNAR_COLUMN_RECENCY | time of modification of recent info. |
THUNAR_COLUMN_LOCATION | file location. |
THUNAR_COLUMN_GROUP | group's name. |
THUNAR_COLUMN_MIME_TYPE | mime type (e.g. "text/plain"). |
THUNAR_COLUMN_NAME | display name. |
THUNAR_COLUMN_OWNER | owner's name. |
THUNAR_COLUMN_PERMISSIONS | permissions bits. |
THUNAR_COLUMN_SIZE | file size. |
THUNAR_COLUMN_SIZE_IN_BYTES | file size in bytes. |
THUNAR_COLUMN_TYPE | file type (e.g. 'plain text document'). |
THUNAR_COLUMN_FILE | ThunarFile object. |
THUNAR_COLUMN_FILE_NAME | real file name. |
THUNAR_N_COLUMNS |  |
THUNAR_N_VISIBLE_COLUMNS |  |

### enum ThunarIconSize

#### Members

THUNAR_ICON_SIZE_16 |  |
THUNAR_ICON_SIZE_24 |  |
THUNAR_ICON_SIZE_32 |  |
THUNAR_ICON_SIZE_48 |  |
THUNAR_ICON_SIZE_64 |  |
THUNAR_ICON_SIZE_96 |  |
THUNAR_ICON_SIZE_128 |  |
THUNAR_ICON_SIZE_160 |  |
THUNAR_ICON_SIZE_192 |  |
THUNAR_ICON_SIZE_256 |  |
THUNAR_ICON_SIZE_512 |  |
THUNAR_ICON_SIZE_1024 |  |

### enum ThunarThumbnailMode

#### Members

THUNAR_THUMBNAIL_MODE_NEVER | never show thumbnails. |
THUNAR_THUMBNAIL_MODE_ONLY_LOCAL | only show thumbnails on local filesystems. |
THUNAR_THUMBNAIL_MODE_ALWAYS | always show thumbnails (everywhere). |

### enum ThunarThumbnailSize

#### Members

THUNAR_THUMBNAIL_SIZE_NORMAL |  |
THUNAR_THUMBNAIL_SIZE_LARGE |  |
THUNAR_THUMBNAIL_SIZE_X_LARGE |  |
THUNAR_THUMBNAIL_SIZE_XX_LARGE |  |
THUNAR_THUMBNAIL_SIZE_DEFAULT |  |

### enum ThunarParallelCopyMode

#### Members

THUNAR_PARALLEL_COPY_MODE_NEVER | copies will be done consecutively, one after another. |
THUNAR_PARALLEL_COPY_MODE_ONLY_LOCAL | only do parallel copies when source and destination are local files. |
THUNAR_PARALLEL_COPY_MODE_ONLY_LOCAL_SAME_DEVICES | same as only local, but only if source and destination devices are the same. |
THUNAR_PARALLEL_COPY_MODE_ALWAYS | all copies will be started immediately. |

### enum ThunarRecursivePermissionsMode

Modus operandi when changing permissions.

#### Members

THUNAR_RECURSIVE_PERMISSIONS_ASK | ask the user every time permissions are changed. |
THUNAR_RECURSIVE_PERMISSIONS_ALWAYS | always apply the change recursively. |
THUNAR_RECURSIVE_PERMISSIONS_NEVER | never apply the change recursively. |

### enum ThunarRecursiveSearchMode

#### Members

THUNAR_RECURSIVE_SEARCH_LOCAL | do recursive search only locally. |
THUNAR_RECURSIVE_SEARCH_ALWAYS | always do recursive search. |
THUNAR_RECURSIVE_SEARCH_NEVER | never do recursive search. |

### enum ThunarZoomLevel

#### Members

THUNAR_ZOOM_LEVEL_25_PERCENT |  |
THUNAR_ZOOM_LEVEL_38_PERCENT |  |
THUNAR_ZOOM_LEVEL_50_PERCENT |  |
THUNAR_ZOOM_LEVEL_75_PERCENT |  |
THUNAR_ZOOM_LEVEL_100_PERCENT |  |
THUNAR_ZOOM_LEVEL_150_PERCENT |  |
THUNAR_ZOOM_LEVEL_200_PERCENT |  |
THUNAR_ZOOM_LEVEL_250_PERCENT |  |
THUNAR_ZOOM_LEVEL_300_PERCENT |  |
THUNAR_ZOOM_LEVEL_400_PERCENT |  |
THUNAR_ZOOM_LEVEL_800_PERCENT |  |
THUNAR_ZOOM_LEVEL_1600_PERCENT |  |

### enum ThunarJobResponse

Possible responses for the ThunarJob::ask signal.

#### Members

THUNAR_JOB_RESPONSE_YES |  |
THUNAR_JOB_RESPONSE_YES_ALL |  |
THUNAR_JOB_RESPONSE_NO |  |
THUNAR_JOB_RESPONSE_CANCEL |  |
THUNAR_JOB_RESPONSE_NO_ALL |  |
THUNAR_JOB_RESPONSE_RETRY |  |
THUNAR_JOB_RESPONSE_FORCE |  |
THUNAR_JOB_RESPONSE_REPLACE |  |
THUNAR_JOB_RESPONSE_REPLACE_ALL |  |
THUNAR_JOB_RESPONSE_SKIP |  |
THUNAR_JOB_RESPONSE_SKIP_ALL |  |
THUNAR_JOB_RESPONSE_RENAME |  |
THUNAR_JOB_RESPONSE_RENAME_ALL |  |

### THUNAR_JOB_RESPONSE_MAX_INT

    #define THUNAR_JOB_RESPONSE_MAX_INT 12

### enum ThunarFileMode

Special flags and permissions of a filesystem entity.

#### Members

THUNAR_FILE_MODE_SUID |  |
THUNAR_FILE_MODE_SGID |  |
THUNAR_FILE_MODE_STICKY |  |
THUNAR_FILE_MODE_USR_ALL |  |
THUNAR_FILE_MODE_USR_READ |  |
THUNAR_FILE_MODE_USR_WRITE |  |
THUNAR_FILE_MODE_USR_EXEC |  |
THUNAR_FILE_MODE_GRP_ALL |  |
THUNAR_FILE_MODE_GRP_READ |  |
THUNAR_FILE_MODE_GRP_WRITE |  |
THUNAR_FILE_MODE_GRP_EXEC |  |
THUNAR_FILE_MODE_OTH_ALL |  |
THUNAR_FILE_MODE_OTH_READ |  |
THUNAR_FILE_MODE_OTH_WRITE |  |
THUNAR_FILE_MODE_OTH_EXEC |  |

### THUNAR_TYPE_USE_PARTIAL_MODE

    #define THUNAR_TYPE_USE_PARTIAL_MODE (thunar_use_partial_get_type ())

### enum ThunarUsePartialMode

#### Members

THUNAR_USE_PARTIAL_MODE_DISABLED |  |
THUNAR_USE_PARTIAL_MODE_REMOTE_ONLY |  |
THUNAR_USE_PARTIAL_MODE_ALWAYS |  |

### enum ThunarVerifyFileMode

#### Members

THUNAR_VERIFY_FILE_MODE_DISABLED |  |
THUNAR_VERIFY_FILE_MODE_REMOTE_ONLY |  |
THUNAR_VERIFY_FILE_MODE_ALWAYS |  |

### enum ThunarNewTabBehavior

#### Members

THUNAR_NEW_TAB_BEHAVIOR_FOLLOW_PREFERENCE | switching to the new tab or not is controlled by a preference. |
THUNAR_NEW_TAB_BEHAVIOR_SWITCH | switch to the new tab. |
THUNAR_NEW_TAB_BEHAVIOR_STAY | stay at the current tab. |

### enum ThunarStatusBarInfo

#### Members

THUNAR_STATUS_BAR_INFO_SIZE |  |
THUNAR_STATUS_BAR_INFO_SIZE_IN_BYTES |  |
THUNAR_STATUS_BAR_INFO_FILETYPE |  |
THUNAR_STATUS_BAR_INFO_DISPLAY_NAME |  |
THUNAR_STATUS_BAR_INFO_LAST_MODIFIED |  |

### enum ThunarOperationLogMode

Specify control logging for operations.

#### Members

THUNAR_OPERATION_LOG_NO_OPERATIONS |  |
THUNAR_OPERATION_LOG_OPERATIONS |  |
THUNAR_OPERATION_LOG_ONLY_TIMESTAMPS |  |

### enum ThunarImagePreviewMode

Specify control logging for operations.

#### Members

THUNAR_IMAGE_PREVIEW_MODE_STANDALONE |  |
THUNAR_IMAGE_PREVIEW_MODE_EMBEDDED |  |

### enum ThunarFolderItemCount

#### Members

THUNAR_FOLDER_ITEM_COUNT_NEVER |  |
THUNAR_FOLDER_ITEM_COUNT_ONLY_LOCAL |  |
THUNAR_FOLDER_ITEM_COUNT_ALWAYS |  |